Kerbal Space Program - Bug #13518

Resurrected Kerbals Don't Level Up In Science Lab
01/04/2017 02:48 AM - 5thHorseman

Status: Confirmed Start date: 01/04/2017
Severity: Low % Done: 10%
Assignee:

Category: Gameplay

Target version:

Version: 1.6.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

When a Kerbal has died and resurrected, he or she will no gain experience in a lab. If you edit the persistence file to remove
references to the Kerbal dying, they will level up.

See attached a save and logs from a stock game where | flew 3 flights (with some reverts):

1) A launch to put a lab in orbit, with Jeb. He leveled up immediately because | had that setting turned on. | turned it off after the
flight.

2) A launch to kill Jeb via lithobraking.

3) A launch with the resurrected Jeb and Bob up to that orbital lab, where when | right clicked and "Level Up Kerbals" Bob got L1 and
Jeb got nothing.

NOTE: | cannot attach files for some reason, it times out. | have uploaded it to my personal website:
http://pulpaudio.com/ksp/exp_bug.zip

History

#1 - 12/31/2018 01:31 PM - Neilski
- Version changed from 1.2.2 to 1.6.0

- Expansion Core Game added

Still an issue with 1.6.0.2395

#2 - 01/03/2019 11:22 AM - bewing
- Status changed from New to Confirmed

- % Done changed from 0 to 10

They don't level up on the ground, either, it looks like to me.

#4 - 01/03/2019 08:49 PM - Neilski

By a coincidence, my team (including at least two that were affected by this bug) got back to KSC last night and they actually did level up on craft
recovery... So for me the problem seems to be confined to the lab.

#5 - 06/02/2020 03:21 PM - Northstar1989
Also seems to be an issue in current version, when using the mod FMRS: which splits the save and then re-integrates.
This may shed some light on why the Kerbals won't level up. It's not just resurrection (although in FMRS Kerbals on the upper stage often die in a

branch where you fly back side-boosters: and then this gets overwritten by the main save). It appears to have something to so with the save file itself,
or how Kerbals are flagged as killed.

Pretty sure have also seen this bug withoout mods being involved, when a vessel crashed (killing the crew), | reverted to launch BEFORE the vessel

destroyed sceeen appeared, and then managed to fly the ship all the way to orbit- these newly recruited Kerbals could no longer reach level 1 from
my orbital science labs...
